/*
  
  This file is part of the Kaenguru Database System
  Copyright (c) 1997,98 by Gregor Klinke
  
  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.
  
  This program ist distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public Lincense for more details.

  */

#ifndef _KDBS_HC_H
#define _KDBS_HC_H

/* ----------------------------------------------------------------------
   Hashcodes
   ---------------------------------------------------------------------- */
#define h_RO                  0
#define h_RW                  1
#define h_CLOS                2
#define h_SPEC                3
#define h_FSET                4
#define h_LAMBDA              5
#define h_LOAD_PATH           6
#define h_DEFINE              7
#define h_SET                 8
#define h_EQ                  9
#define h_ATOMQ              10
#define h_QUOTE              11 
#define h_HEAPSIZE           12
#define h_OBLSIZE            13
#define h_STR                14
#define h_INT                15
#define h_OBJ                16
#define h_VECTOR             17
#define h_OID                18
#define h_DATE               19
#define h_BOOL               20
#define h_DFIELD             21
#define h_STRLSIZE           22
#define h_VERBOSE            23
#define h_TALKLISP           24
#define h_LIST               25
#define h_SETCAR             26
#define h_SETCDR             27
#define h_APPEND             28
#define h_APPENDS            29
#define h_ASSOC              30
#define h_MEMQ               31
#define h_CAR                32
#define h_CDR                33
#define h_CAAR               34
#define h_CDAR               35
#define h_CADR               36
#define h_CDDR               37
#define h_CAAAR              38
#define h_CDAAR              39
#define h_CADAR              40
#define h_CDDAR              41
#define h_CAADR              42
#define h_CDADR              43
#define h_CADDR              44
#define h_CDDDR              45
#define h_LISTQ              46
#define h_NULLQ              47
#define h_NOT                48
#define h_CONS               49
#define h_EQUALQ             50
#define h_NUMBERQ            51
#define h_INTEGERQ           52
#define h_SYMBOLQ            53
#define h_STRINGQ            54
#define h_OIDQ               55
#define h_DATEQ              56
#define h_VECTORQ            57
#define h_DFIELDQ            58
#define h_LENGTH             59
#define h_LISTTAIL           60
#define h_LISTREF            61
#define h_SYM2STR            62
#define h_STR2SYM            63
#define h_NUM_EQUAL          64
#define h_NUM_LESS           65
#define h_NUM_GREAT          66
#define h_NUM_LESSEQ         67
#define h_NUM_GREATEQ        68
#define h_NUM_PLUS           69
#define h_NUM_MINUS          70
#define h_NUM_TIMES          71
#define h_NUM_DIV            72
#define h_NUM_MOD            73
#define h_NUM_ZEROQ          74
#define h_NUM_ODDQ           75
#define h_NUM_EVENQ          76
#define h_ASSQ               77
#define h_MEMBER             78
#define h_LET                79
#define h_LETS               80
#define h_LETREC             81
#define h_MAP                82
#define h_FOREACH            83
#define h_BEGIN              84
#define h_IF                 85
#define h_EVAL               86
#define h_APPLY              87
#define h_COND               88
#define h_CASE               89
#define h_LOAD               90
#define h_AUTOLOAD           91
#define h_STRREF             92
#define h_LIST2STR           93
#define h_STR2LIST           94
#define h_STRCPY             95
#define h_STRFILL            96
#define h_STRAPPEND          97
#define h_MAKE_STR           98
#define h_STRSET             99
#define h_STRLEN            100
#define h_STR2NUM           101
#define h_NUM2STR           102
#define h_SUBSTRING         103
#define h_STRING            104
#define h_OBJECT            105
#define h_CHARQ             106
#define h_PROCEDUREQ        107
#define h_ELSE              108
#define h_TYPE              109
#define h_CHAR              110
#define h_SYM               111
#define h_DATEFORM_NORMAL   112
#define h_DATEFORM_UNIX     113
#define h_DATEFORM_AMERICAN 114
#define h_DATEFORM_GERMAN   115
#define h_DATEFORM_KOREAN   116
#define h_DATE2STR          117
#define h_STR2DATE          118
#define h_CURTIME           119
#define h_OR                120
#define h_AND               121
#define h_STR_EQUAL         122
#define h_STR_LESS          123
#define h_STR_GREAT         124
#define h_STR_LESSEQ        125
#define h_STR_GREATEQ       126
#define h_STR_UPC           127
#define h_STR_DOWNC         128
#define h_STR_CAPITALIZE    129
#define h_STR_INDEX         130
#define h_CHAR_EQUAL        131
#define h_CHAR_LESS         132
#define h_CHAR_GREAT        133
#define h_CHAR_LESSEQ       134
#define h_CHAR_GREATEQ      135
#define h_CHAR_UPC          136
#define h_CHAR_DOWNC        137
#define h_CHAR_ALPHAQ       138
#define h_CHAR_NUMQ         139
#define h_CHAR_ALNUMQ       140
#define h_CHAR_SPACEQ       141
#define h_CHAR_UPPERQ       142
#define h_CHAR_LOWERQ       143
#define h_CHAR2INT          144
#define h_INT2CHAR          145
#define h_MAKE_VECTOR       146
#define h_VECTOR_LENGTH     147
#define h_VECTOR_REF        148
#define h_VECTOR_SET        149
#define h_VECTOR2LIST       150
#define h_LIST2VECTOR       151
#define h_VECTOR_FILL       152
#define h_DISPLAY           153
#define h_DEFINES           154
#define h_SETS              155
#define h_CORE              156
#define h_CACHE             157
#define h_SEND              158
#define h_VECTOR_INDEX      159
#define h_OBJECTQ           160
#define h_INCREASE          161
#define h_DECREASE          162
#define h_LOOKUP            163
#define h_DBNAME            164
#define h_DBPATH            165
#define h_INDICES           166
#define h_DATAFILES         167
#define h_DB_OPEN           168
#define h_DB_CLOSE          169
#define h_DB_INSERT         170
#define h_DB_READ           171
#define h_DB_UPDATE         172
#define h_DB_ABORT_TRANS    173
#define h_DB_BUPDATE        174
#define h_UPDATEOBJ         175
#define h_DB_BDELETE        176
#define h_DB_DELETE         177
#define h_DB_BUNDELETE      178
#define h_DB_UNDELETE       179
#define h_DB_BKILL          180
#define h_DB_KILL           181
#define h_ERROR             182
#define h_BOOLEANQ          183
#define h_DB_SEARCH         184
#define h_LIST2CODE         185
#define h_ACONS             186
#define h_FORCEINDEX        187
#define h_DB_CHUID          188
#define h_DB_CHGID          189
#define h_DB_CHMOD          190
#define h_DB_GETMOD         191
#define h_UID               192
#define h_FID               193
#define h_GID               194
#define h_MOD               195
#define h_CREAT             196
#define h_SUPER_CLASS_SLOT  197
#define h_OID_SLOT          198
#define h_METHL_SLOT        199
#define h_DESCL_SLOT        200
#define h_VAL_SLOT          201
#define h_FID_SLOT          202
#define h_UID_SLOT          203
#define h_GID_SLOT          204
#define h_DIAGNOSTICS       205
#define h_DFIELD_LENGTH     206
#define h_DFIELD_ID         207
#define h_DFIELD_BINARYQ    208
#define h_MAKE_DFIELD       209
#define h_FREE_DFIELD       210
#define h_STRING_SPLIT      211
#define h_STRING_SPLITV     212
#define h_VECTOR_SETLEN     213
#define h_DB_GET_IID        214
#define h_OID2INT           215
#define h_INT2OID           216
#define h_BASE_PATH         217
#define h_MAKE_OBJECT       218
#define h_XOR               219
#define h_XANY              220
#define h_VECTOR_MERGE      221
#define h_VECTOR_SORT       222
#define h_LIMIT_STRING      223
#define h_KEY               224
#define h_REGEXP            225
#define h_REGEXP_FULL       226
#define h_TRAVERSE          227
#define h_REGEXP_OID        228
#define h_DB_VACUUM         229
#define h_DB_REINDEX        230

/* ACHTUNG: unter Umstnden mu defaultheapsize UND defaultstrlistsize in
   sexp.c angepat werden!  Dieser Wert mu zum Startbeginn grer sein als
   die hchste hash-ID! */
#endif
